<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>appliquerTransition()
: <a class="el" href="class_automate1_d.html#ada3fd42e5f684fadf6b1b958679ccc4a">Automate1D</a>
, <a class="el" href="class_automate2_d.html#a5a81598b6b7e237b3a99dc9602136959">Automate2D</a>
, <a class="el" href="class_automate_f_d_f.html#adbefaeaec50f7bce9f2dc4657d6037f2">AutomateFDF</a>
, <a class="el" href="class_automate_j_d_v.html#af1577c93a2ec3ba1d9fe1197d57299e0">AutomateJDV</a>
</li>
<li>Automate()
: <a class="el" href="class_automate.html#a1aa780fbd484b956a13ff5d2a53f3eca">Automate</a>
</li>
<li>Automate2D()
: <a class="el" href="class_automate2_d.html#a320e22b0160179a1dabe598ccfa5afbe">Automate2D</a>
</li>
<li>AutomateException()
: <a class="el" href="class_automate_exception.html#a324660f942b04229a4795cc80c3dbe82">AutomateException</a>
</li>
<li>AutomateManager
: <a class="el" href="class_automate1_d.html#a6f30ee58a7bdd1cf1c712265d22f2faa">Automate1D</a>
, <a class="el" href="class_automate_f_d_f.html#a6f30ee58a7bdd1cf1c712265d22f2faa">AutomateFDF</a>
, <a class="el" href="class_automate_j_d_v.html#a6f30ee58a7bdd1cf1c712265d22f2faa">AutomateJDV</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>dernier()
: <a class="el" href="class_simulateur1_d.html#a41b64369ee1d094250fb41cc1044d138">Simulateur1D</a>
, <a class="el" href="class_simulateur2_d.html#a96c4558e1266f23d8df04377e6a273bc">Simulateur2D</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>Etat()
: <a class="el" href="class_etat.html#a6cb9977958135a329bc4e6662e70bdd1">Etat</a>
</li>
<li>Etat1D()
: <a class="el" href="class_etat1_d.html#a3971802cc37ddf8d7114f59995f5bd43">Etat1D</a>
</li>
<li>Etat2D()
: <a class="el" href="class_etat2_d.html#a956e19b2cbd5227a821ce568fd1bec01">Etat2D</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>getAutomate1D()
: <a class="el" href="class_automate_manager.html#a91a640ebf9a63e9599bbc5caa079e7af">AutomateManager</a>
</li>
<li>getAutomateFDF()
: <a class="el" href="class_automate_manager.html#a5f1024d9207fd190b5ce6a404ec4d3b4">AutomateManager</a>
</li>
<li>getAutomateJDV()
: <a class="el" href="class_automate_manager.html#a3857dd4fccdf7513118a133b78ca2696">AutomateManager</a>
</li>
<li>getAutomateManager()
: <a class="el" href="class_automate_manager.html#a338e03d989806f8f41806f48098353c1">AutomateManager</a>
</li>
<li>getCellule()
: <a class="el" href="class_etat1_d.html#aba15c5885223389846463ce442efd1c8">Etat1D</a>
, <a class="el" href="class_etat2_d.html#ac26afb6ae9d4807b3eecb65cb6442ff7">Etat2D</a>
</li>
<li>getDimension()
: <a class="el" href="class_automate.html#a026ba0647d0eb182c12386efff97b88d">Automate</a>
</li>
<li>getHauteur()
: <a class="el" href="class_etat2_d.html#a2d632f064c14d07d7fe901e9c1a3a628">Etat2D</a>
</li>
<li>getInfo()
: <a class="el" href="class_automate_exception.html#a7cd3843008b505a523231877bbf88699">AutomateException</a>
</li>
<li>getLargeur()
: <a class="el" href="class_etat2_d.html#a46518c3f4abdeffe92edafa10e28b125">Etat2D</a>
</li>
<li>getNbEtats()
: <a class="el" href="class_etat.html#a1d8f1f3bea9019d315bfcc5c1ab3ec15">Etat</a>
</li>
<li>getNbMaxAlive()
: <a class="el" href="class_automate_j_d_v.html#a46f8c8d055302bb213c47678adc282fb">AutomateJDV</a>
</li>
<li>getNbMaxDead()
: <a class="el" href="class_automate_j_d_v.html#a5239196dda1c760df67f2f711d0db659">AutomateJDV</a>
</li>
<li>getNbMinAlive()
: <a class="el" href="class_automate_j_d_v.html#a73c66ac619790e5465fbb99bd729e4c9">AutomateJDV</a>
</li>
<li>getNbMinDead()
: <a class="el" href="class_automate_j_d_v.html#ab4b8d1d6581d12b8bb82a71e24398f8c">AutomateJDV</a>
</li>
<li>getNumero()
: <a class="el" href="class_automate1_d.html#ae1508efb070efcc40209e2660faa1794">Automate1D</a>
</li>
<li>getNumeroBit()
: <a class="el" href="class_automate1_d.html#a4685a4334c46ec986edbca4dc97a160a">Automate1D</a>
</li>
<li>getProbabilite()
: <a class="el" href="class_automate_f_d_f.html#aabcc32e829baee04a1fb04dde06c5c0b">AutomateFDF</a>
</li>
<li>getRangDernier()
: <a class="el" href="class_simulateur1_d.html#ae40c33cb24b25c2f3758f9c3354daf5e">Simulateur1D</a>
, <a class="el" href="class_simulateur2_d.html#a2d1c9554d9c962692ed696415125ce74">Simulateur2D</a>
</li>
<li>getTaille()
: <a class="el" href="class_etat1_d.html#aff01b2663ed65be8e4c9341a24bda4c3">Etat1D</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>libererAutomateManager()
: <a class="el" href="class_automate_manager.html#a8bf59dcc4148630d79ff662e5e63ba43">AutomateManager</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>nbEtatsParCellule
: <a class="el" href="class_etat.html#abe6a37128e5a0be847c6f8330285d472">Etat</a>
</li>
<li>next()
: <a class="el" href="class_simulateur1_d.html#a1815507936cfb43ede65f399201d25c1">Simulateur1D</a>
, <a class="el" href="class_simulateur2_d.html#a80a804f138aca160fc7bfc995a1f7d4a">Simulateur2D</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operator=()
: <a class="el" href="class_etat1_d.html#ac972b631c8448d479a7fbb230f70f480">Etat1D</a>
, <a class="el" href="class_etat2_d.html#a147b6525ac4bcd038446d8650a87683b">Etat2D</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>reset()
: <a class="el" href="class_simulateur1_d.html#a7922ff53f5b32614ef8190f9eb7af008">Simulateur1D</a>
, <a class="el" href="class_simulateur2_d.html#a00e13dc14c30ecfd45039df711aaf69a">Simulateur2D</a>
</li>
<li>run()
: <a class="el" href="class_simulateur1_d.html#a3c02250f4b52d4e4c2eb91238fd9b147">Simulateur1D</a>
, <a class="el" href="class_simulateur2_d.html#a7a96587805e3c0b9ce6da29a12e535fe">Simulateur2D</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>setCellule()
: <a class="el" href="class_etat1_d.html#a149eb63f199190da9464c485d4a9f099">Etat1D</a>
, <a class="el" href="class_etat2_d.html#aaf9391d7268af90a653632344cd3cc17">Etat2D</a>
</li>
<li>setEtatDepart()
: <a class="el" href="class_simulateur1_d.html#a6acef36a0b627000967f8558dcc2f657">Simulateur1D</a>
, <a class="el" href="class_simulateur2_d.html#a3df2ecfad9e9b7c119826f9aa61fe875">Simulateur2D</a>
</li>
<li>Simulateur1D()
: <a class="el" href="class_simulateur1_d.html#ac3653af154ccc0f8e0c301be523a552e">Simulateur1D</a>
</li>
<li>Simulateur2D()
: <a class="el" href="class_simulateur2_d.html#a48a6fd4c1372568c872c6b1acd3534fe">Simulateur2D</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>voisinage()
: <a class="el" href="class_automate2_d.html#a17e604ff71ed3a3a1f806540ac73d1bd">Automate2D</a>
, <a class="el" href="class_automate_f_d_f.html#a980845e4a01ee6738c1548327d32574b">AutomateFDF</a>
, <a class="el" href="class_automate_j_d_v.html#a1498bcb64efb8c2eca9ba8ed132ec577">AutomateJDV</a>
</li>
</ul>


<h3><a id="index_0x7e"></a>- ~ -</h3><ul>
<li>~Etat1D()
: <a class="el" href="class_etat1_d.html#a71be5b5b3efb3451403184f31e63d6a2">Etat1D</a>
</li>
<li>~Etat2D()
: <a class="el" href="class_etat2_d.html#a3eaa7f0e606a9b2f5fc634d6b571042e">Etat2D</a>
</li>
<li>~Simulateur1D()
: <a class="el" href="class_simulateur1_d.html#ad7750064562d92c83fce3c34cad40f88">Simulateur1D</a>
</li>
<li>~Simulateur2D()
: <a class="el" href="class_simulateur2_d.html#afe61eb0f8dddcc052c7ce4bcb6d749f3">Simulateur2D</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
